<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE qml SYSTEM "/wt/query/qml/qml.dtd">
<qml bypassAccessControl="true">
	<parameter name="CAD Document Number" type="java.lang.String"/>
	<parameter name="Markup Owner Username" type="java.lang.String"/>
	<statement>
		<query>
			<select distinct="true" group="true">
				<object alias="EPM Document" heading="CAD Document" propertyName=""/>
				<column alias="wt.viewmarkup.WTMarkUp" heading="Markup Name" isExternal="false" propertyName="name" selectOnly="false" type="java.lang.String">
					name
				</column>
				<column alias="wt.viewmarkup.WTMarkUp" heading="Markup Description" isExternal="false" propertyName="description" selectOnly="false" type="java.lang.String">
					description
				</column>
				<column alias="wt.viewmarkup.WTMarkUp" heading="Markup Created" isExternal="false" propertyName="createTimestamp" selectOnly="false" type="java.sql.Timestamp">
					thePersistInfo.createStamp
				</column>
				<object alias="MarkupOwner" heading="Markup Owner Full Name" propertyName="fullName">
					<property name="fullName"/>
				</object>
				<column alias="MarkupOwner" heading="Markup Owner Username" isExternal="false" propertyName="name" selectOnly="false" type="java.lang.String">
					name
				</column>
				<function heading="Link to Annotation" name="CONCAT" type="java.lang.String">
					<constant heading="https://yourpdmlinkdomain.com/Windchill/wtcore/jsp/wvs/edrview.jsp?url=https://yourpdmlinkdomain.com/Windchill/servlet/WindchillAuthGW/com.ptc.wvs.server.util.WVSContentHelper/redirectDownload/" isMacro="false" type="java.lang.String">
						https://yourpdmlinkdomain.com/Windchill/wtcore/jsp/wvs/edrview.jsp?url=https://yourpdmlinkdomain.com/Windchill/servlet/WindchillAuthGW/com.ptc.wvs.server.util.WVSContentHelper/redirectDownload/
					</constant>
					<column alias="EPM Document" heading="File Name" isExternal="false" propertyName="CADName" selectOnly="false" type="java.lang.String">
						master&gt;CADName
					</column>
					<constant heading=".pvs?u8&amp;HttpOperationItem=wt.content.ApplicationData%3A" isMacro="false" type="java.lang.String">
						.pvs?u8&amp;HttpOperationItem=wt.content.ApplicationData%3A
					</constant>
					<column alias="EPM Document" heading="Persist Info.Object Identifier.Id" isExternal="false" propertyName="persistInfo.objectIdentifier.id" selectOnly="false" type="long">
						thePersistInfo.theObjectIdentifier.id
					</column>
					<constant heading="&amp;ContentHolder=wt.viewmarkup.DerivedImage%3A" isMacro="false" type="java.lang.String">
						&amp;ContentHolder=wt.viewmarkup.DerivedImage%3A
					</constant>
					<column alias="wt.viewmarkup.DerivedImage" heading="Persist Info.Object Identifier.Id" isExternal="false" propertyName="persistInfo.objectIdentifier.id" selectOnly="false" type="long">
						thePersistInfo.theObjectIdentifier.id
					</column>
					<constant heading="&amp;objref=OR:wt.viewmarkup.DerivedImage:" isMacro="false" type="java.lang.String">
						&amp;objref=OR:wt.viewmarkup.DerivedImage:
					</constant>
					<column alias="wt.viewmarkup.DerivedImage" heading="Persist Info.Object Identifier.Id" isExternal="false" propertyName="persistInfo.objectIdentifier.id" selectOnly="false" type="long">
						thePersistInfo.theObjectIdentifier.id
					</column>
					<constant heading="&amp;mkid=OR:wt.viewmarkup.WTMarkUp:" isMacro="false" type="java.lang.String">
						&amp;mkid=OR:wt.viewmarkup.WTMarkUp:
					</constant>
					<column alias="wt.viewmarkup.WTMarkUp" heading="Persist Info.Object Identifier.Id" isExternal="false" propertyName="persistInfo.objectIdentifier.id" selectOnly="false" type="long">
						thePersistInfo.theObjectIdentifier.id
					</column>
					<constant heading="&amp;mkname=Markup&amp;doctype=drawing&amp;docname=" isMacro="false" type="java.lang.String">
						&amp;mkname=Markup&amp;doctype=drawing&amp;docname=
					</constant>
					<column alias="EPM Document" heading="File Name" isExternal="false" propertyName="CADName" selectOnly="false" type="java.lang.String">
						master&gt;CADName
					</column>
					<constant heading="', 'ProductViewLite', '800', '650','0','0');" isMacro="false" type="java.lang.String">
						', 'ProductViewLite', '800', '650','0','0');
					</constant>
				</function>
			</select>
			<from>
				<table alias="EPM Document" isExternal="false">
					wt.epm.EPMDocument
				</table>
				<table alias="wt.viewmarkup.WTMarkUp" isExternal="false">
					wt.viewmarkup.WTMarkUp
				</table>
				<table alias="wt.viewmarkup.TheMarkUpTheViewable" isExternal="false">
					wt.viewmarkup.TheMarkUpTheViewable
				</table>
				<table alias="wt.viewmarkup.DerivedImage" isExternal="false">
					wt.viewmarkup.DerivedImage
				</table>
				<table alias="MarkupOwner" isExternal="false">
					wt.org.WTUser
				</table>
			</from>
			<where>
				<compositeCondition type="and">
					<condition>
						<operand>
							<column alias="EPM Document" heading="Number" isExternal="false" propertyName="number" selectOnly="false" type="java.lang.String">
								master&gt;number
							</column>
						</operand>
						<operator type="like"/>
						<operand>
							<parameterTarget name="CAD Document Number"/>
						</operand>
					</condition>
					<condition>
						<operand>
							<column alias="MarkupOwner" heading="Name" isExternal="false" propertyName="name" selectOnly="false" type="java.lang.String">
								name
							</column>
						</operand>
						<operator type="equal"/>
						<operand>
							<parameterTarget name="Markup Owner Username"/>
						</operand>
					</condition>
				</compositeCondition>
			</where>
			<referenceJoin>
				<join name="roleAObjectRef">
					<aliasTarget alias="wt.viewmarkup.TheMarkUpTheViewable"/>
					<aliasTarget alias="wt.viewmarkup.WTMarkUp"/>
				</join>
				<join name="derivedFromReference">
					<aliasTarget alias="wt.viewmarkup.DerivedImage"/>
					<aliasTarget alias="EPM Document"/>
				</join>
				<join name="roleBObjectRef">
					<aliasTarget alias="wt.viewmarkup.TheMarkUpTheViewable"/>
					<aliasTarget alias="wt.viewmarkup.DerivedImage"/>
				</join>
				<join name="ownership.owner">
					<aliasTarget alias="wt.viewmarkup.WTMarkUp"/>
					<aliasTarget alias="MarkupOwner"/>
				</join>
			</referenceJoin>
		</query>
	</statement>
</qml>
